define("pbWofExoticFarEastChestGlowComponentApi", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof pbWofExoticFarEastChestGlowComponentApi == 'undefined') {
            var pbWofExoticFarEastChestGlowComponentApi = {};
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration = function() {};
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration = ck_implements(pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration, componentmodelComponentApi.IComponentDeclaration);
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.__name__ = ["pbWofExoticFarEastChestGlowComponentApi", "ChestGlowDeclaration"];
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.prototype.getImplementedPorts = function() {
            return [pbWofExoticFarEastChestGlowComponentApi.IChestGlowImplementationPort];
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.prototype.getUsedPorts = function() {
            return [pbWofExoticFarEastChestGlowComponentApi.IChestGlowPort, gameLayoutApi.IGameLayoutPort];
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration.prototype.__class__ = pbWofExoticFarEastChestGlowComponentApi.ChestGlowDeclaration;
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory = function() {};
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory = ck_implements(pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory, componentmodelComponentApi.IPortFactory);
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory.__name__ = ["pbWofExoticFarEastChestGlowComponentApi", "ChestGlowFactory"];
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory.prototype.provide = function(channel) {
            return new pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort(channel);
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory.prototype["use"] = function(channel) {
            return new pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort(channel);
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory.prototype.__class__ = pbWofExoticFarEastChestGlowComponentApi.ChestGlowFactory;

        pbWofExoticFarEastChestGlowComponentApi.IChestGlowPort = function() {}
        pbWofExoticFarEastChestGlowComponentApi.IChestGlowPort.prototype = {

            setVisibility: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            stopAnimation: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        pbWofExoticFarEastChestGlowComponentApi.IChestGlowImplementationPort = function() {}
        pbWofExoticFarEastChestGlowComponentApi.IChestGlowImplementationPort.prototype = {

            setVisibility: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            stopAnimation: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort = function(bus) {
            this._stopAnimation = new clientkernelEventbusApi.Topic("chestglow:stopAnimation");
            this._setVisibility = new clientkernelEventbusApi.Topic("chestglow:setVisibility");
            this._setVisibility.connect(bus);
            this._stopAnimation.connect(bus);
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort = ck_implements(pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort, pbWofExoticFarEastChestGlowComponentApi.IChestGlowPort);
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort = ck_implements(pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort, pbWofExoticFarEastChestGlowComponentApi.IChestGlowImplementationPort);
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.__interfaces__ = [pbWofExoticFarEastChestGlowComponentApi.IChestGlowPort, pbWofExoticFarEastChestGlowComponentApi.IChestGlowImplementationPort];
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.__name__ = ["pbWofExoticFarEastChestGlowComponentApi", "ChestGlowPort"];
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.prototype._setVisibility = null;
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.prototype._stopAnimation = null;
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.prototype.setVisibility = function() {
            return this._setVisibility;
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.prototype.stopAnimation = function() {
            return this._stopAnimation;
        };
        pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort.prototype.__class__ = pbWofExoticFarEastChestGlowComponentApi.ChestGlowPort;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: pbWofExoticFarEastChestGlowComponentApi
        };
    });
//# sourceURL=pbWofExoticFarEastChestGlowComponentApi.js